Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009855 [DCSS] Bug Report minor sometimes 2015-07-13 20:44 2016-03-18 05:42
Reporter Yermak View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status closed   Product Branch 0.17 ancient branch
Summary 0009855: Crypt doesn't appear in the Dungeon overview
Description Dungeon overview states Crypt hasn't been found though it isn't true. See attachments. Ctrl-G doesn't work also. Btw: it's not the first game I've observed this bug in.
Additional Information
Tags No tags attached.
Attached Files png file icon Crypt_1.png [^] (10,128 bytes) 2015-07-13 20:44


png file icon Crypt_2.png [^] (371,870 bytes) 2015-07-13 20:44

- Relationships
has duplicate 0010299resolvedwheals Crypt considered undiscovered on Overview screen when actually discovered as confirmed by Ctrl-F 
has duplicate 0007670closedwheals Crypt not in G menu 
has duplicate 0010241resolvedPleasingFungus Crypt is missing in Dungeon overview and autotravel menu 
related to 0010101resolvedPleasingFungus Vault warden sealing stairs while leaving V confuses ctrl-O 

-  Notes
(0030255)
Gorice (reporter)
2016-02-29 19:31

I think this might be to do with vault wardens locking the stairs to Crypt. _seal_doors_and_stairs() results in a call to dungeon_terrain_changed() on any doors and stairs in LOS. This will unnotice_feature() on the old feature which will set Crypt back to unseen by the player. I can't then see where/how player knowledge of the Crypt entrance gets reinstated but my understanding of the code is sketchy.
(0030272)
PleasingFungus (administrator)
2016-03-01 17:05
edited on: 2016-03-01 17:05

Should be fixed by e1ff36e. Thanks for the report, and especially thanks to Gorice for the hint!


- Issue History
Date Modified Username Field Change
2015-07-13 20:44 Yermak New Issue
2015-07-13 20:44 Yermak File Added: Crypt_1.png
2015-07-13 20:44 Yermak File Added: Crypt_2.png
2016-02-28 22:38 wheals Relationship added has duplicate 0010299
2016-02-29 19:31 Gorice Note Added: 0030255
2016-02-29 22:19 PleasingFungus Relationship added related to 0010101
2016-02-29 23:32 wheals Relationship added has duplicate 0007670
2016-03-01 17:05 PleasingFungus Note Added: 0030272
2016-03-01 17:05 PleasingFungus Status new => resolved
2016-03-01 17:05 PleasingFungus Fixed in Branch => 0.18 development branch
2016-03-01 17:05 PleasingFungus Resolution open => done
2016-03-01 17:05 PleasingFungus Assigned To => PleasingFungus
2016-03-01 17:05 PleasingFungus Note Edited: 0030272
2016-03-03 17:10 PleasingFungus Relationship added has duplicate 0010241
2016-03-18 05:42 Yermak Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker